namespace Eco.Mods.TechTree
{
    using System.Collections.Generic;
    using System.Linq;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Mods.TechTree;
    using Eco.Shared.Items;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.Shared.View;
    
    [Serialized]
    [Weight(500)]                                          
    public partial class ClamRiceItem :
        FoodItem            
    {
        public override string FriendlyName                     { get { return "Clam with Tomato Sauce and Rice"; } }
        public override string Description                      { get { return "Tasty Clams with Tomato-Rice Sauce."; } }

        private static Nutrients nutrition = new Nutrients()    { Carbs = 4, Fat = 14, Protein = 12, Vitamins = 9};
        public override float Calories                          { get { return 1200; } }
        public override Nutrients Nutrition                     { get { return nutrition; } }
    }

    [RequiresSkill(typeof(CulinaryArtsSkill), 4)]    
    public partial class ClamRiceRecipe : Recipe
    {
        public ClamRiceRecipe()
        {
            this.Products = new CraftingElement[]
            {
                new CraftingElement<ClamRiceItem>(),
               
            };
            this.Ingredients = new CraftingElement[]
            {
                new CraftingElement<ClamItem>(typeof(CulinaryArtsEfficiencySkill), 10, CulinaryArtsEfficiencySkill.MultiplicativeStrategy),
                new CraftingElement<TomatoSauceItem>(typeof(CulinaryArtsEfficiencySkill), 5, CulinaryArtsEfficiencySkill.MultiplicativeStrategy),
                new CraftingElement<RiceItem>(typeof(CulinaryArtsEfficiencySkill), 5, CulinaryArtsEfficiencySkill.MultiplicativeStrategy),
                new CraftingElement<InfusedOilItem>(typeof(CulinaryArtsEfficiencySkill), 5, CulinaryArtsEfficiencySkill.MultiplicativeStrategy), 
            };
            this.CraftMinutes = CreateCraftTimeValue(typeof(ClamRiceRecipe), Item.Get<ClamRiceItem>().UILink(), 20, typeof(CulinaryArtsSpeedSkill)); 
            this.Initialize("Clam with Tomato Sauce and Rice", typeof(ClamRiceRecipe));
            CraftingComponent.AddRecipe(typeof(StoveObject), this);
        }
    }
}