namespace Eco.Mods.TechTree
{
    using System.Collections.Generic;
    using System.Linq;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Mods.TechTree;
    using Eco.Shared.Items;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.Shared.View;
    
    [Serialized]
    [Weight(100)]                                          
    public partial class FishbreadItem :
        FoodItem            
    {
        public override string FriendlyName                     { get { return "Fish Bread"; } }
        public override string Description                      { get { return "A Simple Bread with Fish."; } }

        private static Nutrients nutrition = new Nutrients()    { Carbs = 8, Fat = 5, Protein = 4, Vitamins = 2};
        public override float Calories                          { get { return 550; } }
        public override Nutrients Nutrition                     { get { return nutrition; } }
    }

    [RequiresSkill(typeof(CampfireCreationsSkill), 2)]    
    public partial class FishbreadRecipe : Recipe
    {
        public FishbreadRecipe()
        {
            this.Products = new CraftingElement[]
            {
                new CraftingElement<FishbreadItem>(),
               
            };
            this.Ingredients = new CraftingElement[]
            {
                new CraftingElement<WheatItem>(typeof(CampfireCreationsEfficiencySkill), 30, CampfireCreationsEfficiencySkill.MultiplicativeStrategy),
                new CraftingElement<RawFishItem>(typeof(CampfireCreationsEfficiencySkill), 3, CampfireCreationsEfficiencySkill.MultiplicativeStrategy), 
            };
            this.CraftMinutes = CreateCraftTimeValue(typeof(FishbreadRecipe), Item.Get<FishbreadItem>().UILink(), 5, typeof(CampfireCreationsSpeedSkill)); 
            this.Initialize("Fish Bread", typeof(FishbreadRecipe));
            CraftingComponent.AddRecipe(typeof(CampfireObject), this);
        }
    }
}