namespace Eco.Mods.TechTree
{
    using System.Collections.Generic;
    using System.Linq;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Mods.TechTree;
    using Eco.Shared.Items;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.Shared.View;
    
    [Serialized]
    [Weight(900)]                                          
    public partial class FishCurryItem :
        FoodItem            
    {
        public override string FriendlyName                     { get { return "Fish-Curry"; } }
        public override string Description                      { get { return "A Sharp Fishly Curry"; } }

        private static Nutrients nutrition = new Nutrients()    { Carbs = 13, Fat = 7, Protein = 6, Vitamins = 6};
        public override float Calories                          { get { return 900; } }
        public override Nutrients Nutrition                     { get { return nutrition; } }
    }

    [RequiresSkill(typeof(HomeCookingSkill), 3)]    
    public partial class FishCurryRecipe : Recipe
    {
        public FishCurryRecipe()
        {
            this.Products = new CraftingElement[]
            {
                new CraftingElement<FishCurryItem>(),
               
            };
            this.Ingredients = new CraftingElement[]
            {
                new CraftingElement<FishFiletItem>(typeof(HomeCookingEfficiencySkill), 10, HomeCookingEfficiencySkill.MultiplicativeStrategy),
                new CraftingElement<FlourItem>(typeof(HomeCookingEfficiencySkill), 10, HomeCookingEfficiencySkill.MultiplicativeStrategy), 
			    new CraftingElement<RiceItem>(typeof(HomeCookingEfficiencySkill), 15, HomeCookingEfficiencySkill.MultiplicativeStrategy), 
				new CraftingElement<InfusedOilItem>(typeof(HomeCookingEfficiencySkill), 5, HomeCookingEfficiencySkill.MultiplicativeStrategy), 
            };
            this.CraftMinutes = CreateCraftTimeValue(typeof(FishCurryRecipe), Item.Get<FishCurryItem>().UILink(), 10, typeof(HomeCookingSpeedSkill)); 
            this.Initialize("Fish-Curry", typeof(FishCurryRecipe));
            CraftingComponent.AddRecipe(typeof(KitchenObject), this);
        }
    }
}