namespace Eco.Mods.TechTree
{
    using System.Collections.Generic;
    using System.Linq;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Mods.TechTree;
    using Eco.Shared.Items;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.Shared.View;
    
    [Serialized]
    [Weight(500)]                                          
    public partial class FishFiletItem :
        FoodItem            
    {
        public override string FriendlyName                     { get { return "Fish Filet"; } }
        public override string FriendlyNamePlural               { get { return "Fish Filet"; } } 
        public override string Description                      { get { return "Fish Filet."; } }

        private static Nutrients nutrition = new Nutrients()    { Carbs = 0, Fat = 8, Protein = 12, Vitamins = 0};
        public override float Calories                          { get { return 550; } }
        public override Nutrients Nutrition                     { get { return nutrition; } }
    }

    [RequiresSkill(typeof(FishingSkill), 3)]    
    public partial class FishFiletRecipe : Recipe
    {
        public FishFiletRecipe()
        {
            this.Products = new CraftingElement[]
            {
                new CraftingElement<FishFiletItem>(),
               
            };
            this.Ingredients = new CraftingElement[]
            {
                new CraftingElement<RawFishItem>(typeof(FishCleaningEfficiencySkill), 1, FishCleaningEfficiencySkill.MultiplicativeStrategy), 
            };
            this.CraftMinutes = CreateCraftTimeValue(typeof(FishFiletRecipe), Item.Get<FishFiletItem>().UILink(), 3, typeof(FishCleaningSpeedSkill)); 
            this.Initialize("Fish Filet", typeof(FishFiletRecipe));
            CraftingComponent.AddRecipe(typeof(FisheryObject), this);
        }
    }
}