namespace Eco.Mods.TechTree
{
    using System.Collections.Generic;
    using System.Linq;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Mods.TechTree;
    using Eco.Shared.Items;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.Shared.View;
    
    [Serialized]
    [Weight(900)]                                          
    public partial class FishnChipsItem :
        FoodItem            
    {
        public override string FriendlyName                     { get { return "Fish n Chips"; } }
        public override string Description                      { get { return "Just a bunch of Chopped Fish and Stickly Camas"; } }

        private static Nutrients nutrition = new Nutrients()    { Carbs = 7, Fat = 7, Protein = 6, Vitamins = 4};
        public override float Calories                          { get { return 1200; } }
        public override Nutrients Nutrition                     { get { return nutrition; } }
    }

    [RequiresSkill(typeof(HomeCookingSkill), 3)]    
    public partial class FishnChipsRecipe : Recipe
    {
        public FishnChipsRecipe()
        {
            this.Products = new CraftingElement[]
            {
                new CraftingElement<FishnChipsItem>(),
               
            };
            this.Ingredients = new CraftingElement[]
            {
                new CraftingElement<FishFiletItem>(typeof(HomeCookingEfficiencySkill), 10, HomeCookingEfficiencySkill.MultiplicativeStrategy),
                new CraftingElement<WheatItem>(typeof(HomeCookingEfficiencySkill), 15, HomeCookingEfficiencySkill.MultiplicativeStrategy), 
			    new CraftingElement<CamasBulbItem>(typeof(HomeCookingEfficiencySkill), 5, HomeCookingEfficiencySkill.MultiplicativeStrategy), 
            };
            this.CraftMinutes = CreateCraftTimeValue(typeof(FishnChipsRecipe), Item.Get<FishnChipsItem>().UILink(), 10, typeof(HomeCookingSpeedSkill)); 
            this.Initialize("Fish n' Chips", typeof(FishnChipsRecipe));
            CraftingComponent.AddRecipe(typeof(CastIronStoveObject), this);
        }
    }
}