namespace Eco.Mods.TechTree
{
    using System.Collections.Generic;
    using System.Linq;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Mods.TechTree;
    using Eco.Shared.Items;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.Shared.View;
    
    [Serialized]
    [Weight(900)]                                          
    public partial class FriedFishItem :
        FoodItem            
    {
        public override string FriendlyName                     { get { return "Fried Fish and Wan-Tan"; } }
        public override string Description                      { get { return "Fried Fish with Sweet Camas and Wan-Tan"; } }

        private static Nutrients nutrition = new Nutrients()    { Carbs = 13, Fat = 9, Protein = 7, Vitamins = 8};
        public override float Calories                          { get { return 900; } }
        public override Nutrients Nutrition                     { get { return nutrition; } }
    }

    [RequiresSkill(typeof(HomeCookingSkill), 3)]    
    public partial class FriedFishRecipe : Recipe
    {
        public FriedFishRecipe()
        {
            this.Products = new CraftingElement[]
            {
                new CraftingElement<FriedFishItem>(),
               
            };
            this.Ingredients = new CraftingElement[]
            {
                new CraftingElement<FishFiletItem>(typeof(HomeCookingEfficiencySkill), 12, HomeCookingEfficiencySkill.MultiplicativeStrategy),
                new CraftingElement<FlourItem>(typeof(HomeCookingEfficiencySkill), 8, HomeCookingEfficiencySkill.MultiplicativeStrategy), 
			    new CraftingElement<CamasBulbItem>(typeof(HomeCookingEfficiencySkill), 5, HomeCookingEfficiencySkill.MultiplicativeStrategy), 
				new CraftingElement<OilItem>(typeof(HomeCookingEfficiencySkill), 5, HomeCookingEfficiencySkill.MultiplicativeStrategy), 
		new CraftingElement<CornmealItem>(typeof(HomeCookingEfficiencySkill), 5, HomeCookingEfficiencySkill.MultiplicativeStrategy),
            };
            this.CraftMinutes = CreateCraftTimeValue(typeof(FriedFishRecipe), Item.Get<FriedFishItem>().UILink(), 10, typeof(HomeCookingSpeedSkill)); 
            this.Initialize("Fried Fish and Wan-Tan", typeof(FriedFishRecipe));
            CraftingComponent.AddRecipe(typeof(KitchenObject), this);
        }
    }
}