namespace Eco.Mods.TechTree
{
    using System.Collections.Generic;
    using System.Linq;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Mods.TechTree;
    using Eco.Shared.Items;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.Shared.View;
    
    [Serialized]
    [Weight(500)]                                          
    public partial class FriedFishCornChipsItem :
        FoodItem            
    {
        public override string FriendlyName                     { get { return "Tomato S U P R E M E"; } }
        public override string Description                      { get { return "There is a lot Tomatos in it."; } }

        private static Nutrients nutrition = new Nutrients()    { Carbs = 14, Fat = 9, Protein = 9, Vitamins = 24};
        public override float Calories                          { get { return 1200; } }
        public override Nutrients Nutrition                     { get { return nutrition; } }
    }

    [RequiresSkill(typeof(CulinaryArtsSkill), 4)]    
    public partial class FriedFishCornChipsRecipe : Recipe
    {
        public FriedFishCornChipsRecipe()
        {
            this.Products = new CraftingElement[]
            {
                new CraftingElement<FriedFishCornChipsItem>(),
               
            };
            this.Ingredients = new CraftingElement[]
            {
                new CraftingElement<FishFiletItem>(typeof(CulinaryArtsEfficiencySkill), 10, CulinaryArtsEfficiencySkill.MultiplicativeStrategy),
                new CraftingElement<VegetableMedleyItem>(typeof(CulinaryArtsEfficiencySkill), 5, CulinaryArtsEfficiencySkill.MultiplicativeStrategy),
                new CraftingElement<RiceItem>(typeof(CulinaryArtsEfficiencySkill), 5, CulinaryArtsEfficiencySkill.MultiplicativeStrategy),
                new CraftingElement<TomatoSauceItem>(typeof(CulinaryArtsEfficiencySkill), 5, CulinaryArtsEfficiencySkill.MultiplicativeStrategy), 
		new CraftingElement<CornmealItem>(typeof(CulinaryArtsEfficiencySkill), 5, CulinaryArtsEfficiencySkill.MultiplicativeStrategy),
            };
            this.CraftMinutes = CreateCraftTimeValue(typeof(FriedFishCornChipsRecipe), Item.Get<FriedFishCornChipsItem>().UILink(), 20, typeof(CulinaryArtsSpeedSkill)); 
            this.Initialize("Tomato S U P R E M E", typeof(FriedFishCornChipsRecipe));
            CraftingComponent.AddRecipe(typeof(StoveObject), this);
        }
    }
}