namespace Eco.Mods.TechTree
{
    using System.Collections.Generic;
    using System.Linq;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Mods.TechTree;
    using Eco.Shared.Items;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.Shared.View;
    
    [Serialized]
    [Weight(100)]                                          
    public partial class SushiRiceItem :
        FoodItem            
    {
        public override string FriendlyName                     { get { return "Sushi Rice"; } }
        public override string Description                      { get { return "A Tasty Raw Fish Meal with Rice"; } }

        private static Nutrients nutrition = new Nutrients()    { Carbs = 0, Fat = 5, Protein = 4, Vitamins = 3};
        public override float Calories                          { get { return 470; } }
        public override Nutrients Nutrition                     { get { return nutrition; } }
    }

    [RequiresSkill(typeof(CampfireCookingSkill), 3)]    
    public partial class SushiRiceRecipe : Recipe
    {
        public SushiRiceRecipe()
        {
            this.Products = new CraftingElement[]
            {
                new CraftingElement<SushiRiceItem>(),
               
            };
            this.Ingredients = new CraftingElement[]
            {
                new CraftingElement<BeetItem>(typeof(CampfireCookingEfficiencySkill), 4, CampfireCookingEfficiencySkill.MultiplicativeStrategy), 
				new CraftingElement<RawFishItem>(typeof(CampfireCookingEfficiencySkill), 4, CampfireCookingEfficiencySkill.MultiplicativeStrategy),
				new CraftingElement<PlantFibersItem>(typeof(CampfireCookingEfficiencySkill), 5, CampfireCookingEfficiencySkill.MultiplicativeStrategy),
            };
            this.CraftMinutes = CreateCraftTimeValue(typeof(SushiRiceRecipe), Item.Get<SushiRiceItem>().UILink(), 2, typeof(CampfireCookingSpeedSkill)); 
            this.Initialize("Sushi Rice", typeof(SushiRiceRecipe));
            CraftingComponent.AddRecipe(typeof(CampfireObject), this);
        }
    }
}