namespace Eco.Mods.TechTree
{
    using System.Collections.Generic;
    using System.Linq;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Mods.TechTree;
    using Eco.Shared.Items;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.Shared.View;
    
    [Serialized]
    [Weight(900)]                                          
    public partial class SushiUrchinItem :
        FoodItem            
    {
        public override string FriendlyName                     { get { return "Sushi with Urchins"; } }
        public override string Description                      { get { return "A Tasty Sushi mix with Urchins"; } }

        private static Nutrients nutrition = new Nutrients()    { Carbs = 10, Fat = 7, Protein = 8, Vitamins = 11};
        public override float Calories                          { get { return 1200; } }
        public override Nutrients Nutrition                     { get { return nutrition; } }
    }

    [RequiresSkill(typeof(HomeCookingSkill), 3)]    
    public partial class SushiUrchinRecipe : Recipe
    {
        public SushiUrchinRecipe()
        {
            this.Products = new CraftingElement[]
            {
                new CraftingElement<SushiUrchinItem>(),
               
            };
            this.Ingredients = new CraftingElement[]
            {
				new CraftingElement<UrchinItem>(typeof(HomeCookingEfficiencySkill), 20, HomeCookingEfficiencySkill.MultiplicativeStrategy),
                new CraftingElement<WheatItem>(typeof(HomeCookingEfficiencySkill), 10, HomeCookingEfficiencySkill.MultiplicativeStrategy), 
			    new CraftingElement<PlantFibersItem>(typeof(HomeCookingEfficiencySkill), 10, HomeCookingEfficiencySkill.MultiplicativeStrategy), 
				new CraftingElement<RiceItem>(typeof(HomeCookingEfficiencySkill), 8, HomeCookingEfficiencySkill.MultiplicativeStrategy), 
				new CraftingElement<VegetableMedleyItem>(typeof(HomeCookingEfficiencySkill), 8, HomeCookingEfficiencySkill.MultiplicativeStrategy), 
            };
            this.CraftMinutes = CreateCraftTimeValue(typeof(SushiUrchinRecipe), Item.Get<SushiUrchinItem>().UILink(), 10, typeof(HomeCookingSpeedSkill)); 
            this.Initialize("Sushi with Urchins", typeof(SushiUrchinRecipe));
            CraftingComponent.AddRecipe(typeof(CastIronStoveObject), this);
        }
    }
}