namespace Eco.Mods.TechTree
{
    using System.Collections.Generic;
    using System.Linq;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Mods.TechTree;
    using Eco.Shared.Items;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.Shared.View;
    
    [Serialized]
    [Weight(500)]                                          
    public partial class TomatoSauceItem :
        FoodItem            
    {
        public override string FriendlyName                     { get { return "Tomato Sauce"; } }
        public override string FriendlyNamePlural               { get { return "Tomato Sauce"; } } 
        public override string Description                      { get { return "A Simple Tasty Tomato Sauce."; } }

        private static Nutrients nutrition = new Nutrients()    { Carbs = 4, Fat = 4, Protein = 3, Vitamins = 14};
        public override float Calories                          { get { return 550; } }
        public override Nutrients Nutrition                     { get { return nutrition; } }
    }

    [RequiresSkill(typeof(CulinaryArtsSkill), 1)]    
    public partial class TomatoSauceRecipe : Recipe
    {
        public TomatoSauceRecipe()
        {
            this.Products = new CraftingElement[]
            {
                new CraftingElement<TomatoSauceItem>(),
               
            };
            this.Ingredients = new CraftingElement[]
            {
                new CraftingElement<TomatoItem>(typeof(CulinaryArtsEfficiencySkill), 10, CulinaryArtsEfficiencySkill.MultiplicativeStrategy), 
				new CraftingElement<OilItem>(typeof(CulinaryArtsEfficiencySkill), 5, CulinaryArtsEfficiencySkill.MultiplicativeStrategy), 
            };
            this.CraftMinutes = CreateCraftTimeValue(typeof(TomatoSauceRecipe), Item.Get<TomatoSauceItem>().UILink(), 3, typeof(CulinaryArtsSpeedSkill)); 
            this.Initialize("Tomato Sauce", typeof(TomatoSauceRecipe));
            CraftingComponent.AddRecipe(typeof(KitchenObject), this);
        }
    }
}